: Class HttpDate

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HttpDate

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpDate

Direct Known Subclasses:
  CookieDate

public class HttpDate
extends BasicValue

Field Summary
`protected java.lang.Long` | `date`
`protected static java.lang.String[]` | `days`
`protected static java.lang.String[]` | `months`
`protected int` | `tz`

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Method Summary
`java.lang.Object` | `getValue()` Get the date value.
`static void` | `main(java.lang.String[] args)`
`protected void` | `parse()` Parse this header value into its various components.
`void` | `setValue(long date)` Set this date object value.
`protected void` | `updateByteValue()` Update the RFC822 compatible header value for this object.

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, invalidateByteValue, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### days

    protected static java.lang.String[] days

### months

    protected static java.lang.String[] months

### date

    protected java.lang.Long date

### tz

    protected int tz

Method Detail

### parse

    protected void parse()

  Description copied from class: BasicValue
  Parse this header value into its various components.
  Overrides:
    parse in class BasicValue
  Tags copied from class: BasicValue
  Throws:
    HttpParserException - if unable to parse.

### updateByteValue

    protected void updateByteValue()

  Description copied from class: BasicValue
  Update the RFC822 compatible header value for this object.
  Overrides:
    updateByteValue in class BasicValue

### getValue

    public java.lang.Object getValue()

  Get the date value.
  Overrides:
    getValue in class BasicValue
  Returns:
    A Long giving the date as a number of mmilliseconds since epoch.

### setValue

    public void setValue(long date)

  Set this date object value.
  Parameters:
    `date` - The new date value, as the number of milliseconds since epoch.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD